=== modified file 'NEWS'
--- NEWS	2007-03-20 22:39:38 +0000
+++ NEWS	2007-03-21 04:28:02 +0000
@@ -1,5 +1,31 @@
 IN DEVELOPMENT
 
+bzr 0.15 (not finalised)
+
+  INTERNALS:
+
+    * Added ``ReadLock.temporary_write_lock()`` to allow upgrading an OS read
+      lock to an OS write lock. Linux can do this without unlocking, Win32
+      needs to unlock in between. (John Arbash Meinel)
+
+  BUGFIXES:
+
+    * Take smtp_server from user config into account.
+      (vila, #92195)
+
+    * Restore Unicode filename handling for versioned and unversioned files.
+      (John Arbash Meinel, #92608)
+
+    * Don't fail during ``bzr commit`` if a file is marked removed, and
+      the containing directory is auto-removed.  (John Arbash Meinel, #93681)
+
+    * ``bzr status FILENAME`` failed on Windows because of an uncommon
+      errno. (``ERROR_DIRECTORY == 267 != ENOTDIR``).
+      (Wouter van Heyst, John Arbash Meinel, #90819)
+ 
+
+bzr 0.15rc2  2007-03-14
+
   NOTES WHEN UPGRADING:
         
     * Release 0.15rc2 of bzr changes the ``bzr init-repo`` command to
@@ -27,10 +53,6 @@
     * Refactored SSH vendor registration into SSHVendorManager class.
       (Dmitry Vasiliev)
 
-    * Added ``ReadLock.temporary_write_lock()`` to allow upgrading an OS read
-      lock to an OS write lock. Linux can do this without unlocking, Win32
-      needs to unlock in between. (John Arbash Meinel)
-
   BUGFIXES:
 
     * New ``--numbered-dirs`` option to ``bzr selftest`` to use
@@ -50,19 +72,7 @@
     * Switch the ``bzr init-repo`` default from --no-trees to --trees. 
       (Wouter van Heyst, #53483)
 
-    * Take smtp_server from user config into account.
-      (vila, #92195)
-
-    * Restore Unicode filename handling for versioned and unversioned files.
-      (John Arbash Meinel, #92608)
-
-    * Don't fail during ``bzr commit`` if a file is marked removed, and
-      the containing directory is auto-removed.  (John Arbash Meinel, #93681)
-
-    * ``bzr status FILENAME`` failed on Windows because of an uncommon
-      errno. (``ERROR_DIRECTORY == 267 != ENOTDIR``).
-      (Wouter van Heyst, John Arbash Meinel, #90819)
- 
+
 bzr 0.15rc1  2007-03-07
 
   SURPRISES:

